%define debug_package %{nil}

Name:           smem
Version:        1.4
Release:        1%{?dist}
Summary:        Report application memory usage in a meaningful way

License:        GPLv2+
URL:            http://www.selenic.com/smem/
Source0:        http://www.selenic.com/smem/download/smem-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  /usr/bin/pathfix.py

%description
smem is a tool that can give numerous reports on memory usage on Linux
systems. Unlike existing tools, smem can report proportional set size (PSS),
which is a more meaningful representation of the amount of memory used by
libraries and applications in a virtual memory system.

Because large portions of physical memory are typically shared among
multiple applications, the standard measure of memory usage known as
resident set size (RSS) will significantly overestimate memory usage. PSS
instead measures each application's "fair share" of each shared area to give
a realistic measure.

%prep
%setup -q

%build

%install
install -D -p -m 755 smem %{buildroot}%{_bindir}/smem
install -D -p -m 644 smem.8 %{buildroot}/%{_mandir}/man8/smem.8
pathfix.py -i "%{__python3} %{py3_shbang_opts}" -p -n %{buildroot}%{_bindir}/*

%files
%doc COPYING
%{_bindir}/smem
%{_mandir}/man8/smem.8*

%changelog
* Mon Mar 25 2019 Satoe Imaishi <simaishi@redhat.com> - 1.4-1
- Initial Build for cfme-5.11
